# PvCard::Address Struct Reference

`#include <vcard.h>`

Inheritance diagram for PvCard::Address:

List of all members.

## Public Member Functions

| Address (bool label=false)
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream.

## Public Attributes

bool | m_label
TextValue | m_postOfficeBox
TextValue | m_extendedAddress
TextValue | m_street
TextValue | m_locality
TextValue | m_region
TextValue | m_postCode
TextValue | m_country

## Constructor & Destructor Documentation

PvCard::Address::Address | ( | bool | label = `false` | ) | `[inline]`

## Member Function Documentation

virtual void PvCard::Address::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

virtual void PvCard::Address::ReadFrom | ( | istream & | strm | ) | `[virtual]`

Input the contents of the object from the stream.

The exact input is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator>>` function.

The default behaviour is to do nothing.

Reimplemented from PObject.

## Member Data Documentation

TextValue PvCard::Address::m_country

TextValue PvCard::Address::m_extendedAddress

bool PvCard::Address::m_label

TextValue PvCard::Address::m_locality

TextValue PvCard::Address::m_postCode

TextValue PvCard::Address::m_postOfficeBox

TextValue PvCard::Address::m_region

TextValue PvCard::Address::m_street

The documentation for this struct was generated from the following file:

- vcard.h